You are not logged in.

#4751 2013-02-09 08:58:19

ChemBro
Member
Registered: 2008-10-22
Posts: 674

Re: The AMD/ATI Bar & Grill

KDE desktop effects work here with 13.2 beta 3 driver (non-legacy).

Online

#4752 2013-02-09 11:51:42

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

siavashserver wrote:
omeringen wrote:

Hi,
Looks like we (legacy users only ?) will not be able to use desktop effects on KDE 4.10 and higher.
https://bugs.kde.org/show_bug.cgi?id=314602#c6

I did a test and desktop effects are working without any issues. But still there isn't any direct OpenGL rendering support for us.

EDIT: After a few reboots and struggling with KWin, it looks like Blur effect is completely broken with legacy catalyst drivers. After switching to open source drivers, problem is gone. Thank you AMD!!! big_smile

Effects are working nicely here with legacy drivers on Mobility HD3470 and KDE 4.10, including blur. I set compositing type to OpenGL and Qt graphics system to raster in the desktop configuration effects. Not blazing fast but it works. First boot with 4.10, let's see how things will evolve...

Offline

#4753 2013-02-09 12:46:29

omeringen
Member
Registered: 2012-05-28
Posts: 109

Re: The AMD/ATI Bar & Grill

Hi,
I am still not sure what was wrong about my system. Then i switched back to open source drivers (bad 3D experience drove me crazy), after that i re-switched to catalyst-legacy. I didn't make anything special but it works fine now. I added these infos to bugzilla entry.

//edit : hell no, It's gone again and crashing everytime i click on "Re-enable OpenGL detection". I was checking some options at "general" settings of Desktop Effects. And there is still no debug symbols on arch. https://bugs.archlinux.org/task/10975

Last edited by omeringen (2013-02-09 13:11:56)

Offline

#4754 2013-02-09 13:02:51

siavashserver
Member
From: Tehran, Iran
Registered: 2011-02-11
Posts: 73

Re: The AMD/ATI Bar & Grill

After installing and switching between catalyst legacy , open source drivers and different xorg-server versions problem still persists for me with legacy one.

KWin state : First boot OK    -  OK on every reboot  -  First boot OK    -  Still working OK
Used driver: Legacy catalyst  -  Open source driver  -  Legacy catalyst  -  Open source driver

Offline

#4755 2013-02-09 20:02:45

12eason
Member
Registered: 2010-07-20
Posts: 98

Re: The AMD/ATI Bar & Grill

siavashserver wrote:

EDIT: After a few reboots and struggling with KWin, it looks like Blur effect is completely broken with legacy catalyst drivers. After switching to open source drivers, problem is gone. Thank you AMD!!! big_smile

Same for me on hd6870 with latest beta: a few reboots on 4.10 and opengl is a dead duck.

eta: gnome is in fallback mode too now. fuck catalyst. fuck linux in fact.

Last edited by 12eason (2013-02-09 21:09:42)

Offline

#4756 2013-02-10 13:28:41

omeringen
Member
Registered: 2012-05-28
Posts: 109

Re: The AMD/ATI Bar & Grill

//edit : switched to the open source and again to the catalyst. It's fine and this is the second time it works. I'll possibly break like it did before if i do some changes to the desktop effects settings.

Last edited by omeringen (2013-02-10 15:49:23)

Offline

#4757 2013-02-10 18:07:39

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

A few important words about [catalyst] repo

1) soon catalyst.apocalypsus.net domain won't work, please switch to catalyst.wirephire.com
Apocalypsus is changing hosting server and he's forced to disown old, nice apocalypsus.net domain.
All files and all repositories were mirrored to the new server.
Apocalypsus.net is now redirected to Wirephire.com so you can still use it, but not for long - it will work only for 16 days out now.
We are sorry for the inconvenience.
Please update your pacman.conf file with the new address, ie:

[catalyst]
http://catalyst.wirephire.com/repo/catalyst/$arch

Also [xorg11*] repos users should to change pacman.conf's urls, ie:

[xorg112]
Server = http://catalyst.wirephire.com/repo/xorg112/$arch

2) [catalyst] repo will become more like a testing/beta repo
with latest catalyst drivers - no matter if it will be a beta or stable one, just latest.
As mentioned earlier the new repo will come - [catalyst-stable] - with latest stable release, for those who prefer stable catalysts.

[catalyst-stable]
Server = http://catalyst.wirephire.com/repo/catalyst/$arch

I've almost finished building of new packages, just a few tests, uploading and it will work.
edit: ok, it's updated now

[catalyst]
Server = http://catalyst.wirephire.com/repo/catalyst/$arch

Soon i will update wiki with those news

Last edited by Vi0L0 (2013-02-10 20:49:37)

Offline

#4758 2013-02-10 18:12:29

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,471
Website

Re: The AMD/ATI Bar & Grill

Awesome! Good news smile


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Online

#4759 2013-02-11 00:57:25

s0l1dsnak3123
Member
From: Scotland
Registered: 2008-06-26
Posts: 62
Website

Re: The AMD/ATI Bar & Grill

I upgraded to Linux 3.7.6-1 and catalyst-13.2-1, but now I get a backtrace: https://gist.github.com/anonymous/4751764

Edit: I have a Radeon HD 7950. I tried using catalyst-hook instead so that I could compile my own fglrx driver, just in case the fglrx driver I had was out of date, but that didn't work either.

Edit 2: Downgrading catalyst to catalyst-13.1-3 fixes it with 3.7.6-1

Last edited by s0l1dsnak3123 (2013-02-11 01:21:57)

Offline

#4760 2013-02-11 16:10:24

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

s0l1dsnak3123 wrote:

I upgraded to Linux 3.7.6-1 and catalyst-13.2-1, but now I get a backtrace: https://gist.github.com/anonymous/4751764

Edit: I have a Radeon HD 7950. I tried using catalyst-hook instead so that I could compile my own fglrx driver, just in case the fglrx driver I had was out of date, but that didn't work either.

Edit 2: Downgrading catalyst to catalyst-13.1-3 fixes it with 3.7.6-1

Check your system for other fglrx modules, looks like you have two conflicting modules installed,
have a look at your log, here the module is presenting in one version:

[   195.815] (II) AMD Proprietary Linux Driver Version Identifier:9.01.11
[   195.815] (II) AMD Proprietary Linux Driver Release Identifier: 9.012                                
[   195.815] (II) AMD Proprietary Linux Driver Build Date: Dec 19 2012 14:41:10

while couple of lines later it's presenting in other:

[   195.889] (II) fglrx(0): Kernel Module Version Information:
[   195.889] (II) fglrx(0):     Name: fglrx
[   195.889] (II) fglrx(0):     Version: 12.10.5
[   195.889] (II) fglrx(0):     Date: Jan 28 2013

maybe the old module was not removed properly?

Offline

#4761 2013-02-11 16:14:16

s0l1dsnak3123
Member
From: Scotland
Registered: 2008-06-26
Posts: 62
Website

Re: The AMD/ATI Bar & Grill

Running find / -name '*fglrx*' 2>/dev/null shows this:

/usr/bin/fglrxinfo32
/usr/bin/fglrxinfo
/usr/lib/libfglrx_dm.so.1
/usr/lib/libfglrx_dm.so.1.0
/usr/lib/modules/extramodules-3.7-ARCH/fglrx.ko.gz
/usr/lib/xorg/modules/linux/libfglrxdrm.so
/usr/lib/xorg/modules/drivers/fglrx_drv.so
/usr/lib/xorg/modules/extensions/fglrx
/usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so
/usr/lib/xorg/modules/dri/fglrx_dri.so
/usr/lib/dri/fglrx_dri.so
/usr/lib/fglrx-libGL.so.1.2
/usr/lib32/libfglrx_dm.so.1
/usr/lib32/libfglrx_dm.so.1.0
/usr/lib32/xorg/modules/extensions/fglrx
/usr/lib32/xorg/modules/dri/fglrx_dri.so
/usr/lib32/dri/fglrx_dri.so
/usr/lib32/fglrx-libGL.so.1.2

I'll be honest - I'm not sure what is right and wrong here!

Offline

#4762 2013-02-11 16:38:58

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

Looks good, can you update and then paste output of:

find /usr/lib -name 'fglrx.ko*' 2>/dev/null

?
Edit: if you've paste after update then i must to think... :>

Last edited by Vi0L0 (2013-02-11 16:45:22)

Offline

#4763 2013-02-11 20:48:40

s0l1dsnak3123
Member
From: Scotland
Registered: 2008-06-26
Posts: 62
Website

Re: The AMD/ATI Bar & Grill

I just get

/usr/lib/modules/extramodules-3.7-ARCH/fglrx.ko.gz

Offline

#4764 2013-02-11 21:56:14

Archimaredes
Member
Registered: 2013-01-23
Posts: 50

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

A few important words about [catalyst] repo

1) soon catalyst.apocalypsus.net domain won't work, please switch to catalyst.wirephire.com
Apocalypsus is changing hosting server and he's forced to disown old, nice apocalypsus.net domain.
All files and all repositories were mirrored to the new server.
Apocalypsus.net is now redirected to Wirephire.com so you can still use it, but not for long - it will work only for 16 days out now.
We are sorry for the inconvenience.
Please update your pacman.conf file with the new address, ie:

[catalyst]
http://catalyst.wirephire.com/repo/catalyst/$arch

Also [xorg11*] repos users should to change pacman.conf's urls, ie:

[xorg112]
Server = http://catalyst.wirephire.com/repo/xorg112/$arch

2) [catalyst] repo will become more like a testing/beta repo
with latest catalyst drivers - no matter if it will be a beta or stable one, just latest.
As mentioned earlier the new repo will come - [catalyst-stable] - with latest stable release, for those who prefer stable catalysts.

[catalyst-stable]
Server = http://catalyst.wirephire.com/repo/catalyst/$arch

I've almost finished building of new packages, just a few tests, uploading and it will work.
edit: ok, it's updated now

[catalyst]
Server = http://catalyst.wirephire.com/repo/catalyst/$arch

Soon i will update wiki with those news

I'm guessing the server change has affected the PGP signature. I can't download packages from [catalyst-stable]:

error: catalyst-utils: signature from "Vi0L0 <vi0l093@gmail.com>" is invalid
error: lib32-catalyst-utils: signature from "Vi0L0 <vi0l093@gmail.com>" is invalid
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

Edit: Hmm, actually, pacman may be holding onto previously-downloaded packages of the same name from the Arch official repos...

Last edited by Archimaredes (2013-02-11 21:58:21)

Offline

#4765 2013-02-12 01:19:07

Willian Richard
Member
Registered: 2012-12-15
Posts: 9

Re: The AMD/ATI Bar & Grill

siavashserver wrote:
omeringen wrote:

Hi,
Looks like we (legacy users only ?) will not be able to use desktop effects on KDE 4.10 and higher.
https://bugs.kde.org/show_bug.cgi?id=314602#c6

I did a test and desktop effects are working without any issues. But still there isn't any direct OpenGL rendering support for us.

EDIT: After a few reboots and struggling with KWin, it looks like Blur effect is completely broken with legacy catalyst drivers. After switching to open source drivers, problem is gone. Thank you AMD!!! big_smile

I had the same problem, now fixed with xf86-video-ati (opensource driver).


Now, will they fix this on catalyst 13.2?

Offline

#4766 2013-02-12 02:29:58

siavashserver
Member
From: Tehran, Iran
Registered: 2011-02-11
Posts: 73

Re: The AMD/ATI Bar & Grill

Willian Richard wrote:

I had the same problem, now fixed with xf86-video-ati (opensource driver).


Now, will they fix this on catalyst 13.2?

Currently I'm using the open source driver too. No, we should probably wait for 14.2 or *buy* a nvidia card tongue

Offline

#4767 2013-02-12 04:04:42

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: The AMD/ATI Bar & Grill

Ok, I've tried everything so it's time to get some help from BBS big_smile

OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5450     
OpenGL version string: 4.2.12002 Compatibility Profile Context 9.012
OpenGL shading language version string: 4.20
OpenGL extensions:

Substantially, I am using catalyst and to be precise:

local/catalyst-dkms 13.1-1
    AMD proprietary gpu kernel driver
local/catalyst-utils 13.1-1
    AMD Catalyst drivers utilities and libraries.
local/lib32-catalyst-utils 13.1-1
    AMD Catalyst drivers libraries (32 bits)

But, OpenGL doesn't work. Glxgears remain stuck (no animation, just the still gears)
Google earth crashs my entire system.
I am using XFCE with compositor but have no transparency .. and of course, if I try to
use cairo-dock have a beautiful black rectangle behind the dock big_smile

I've also tried to run vblank_mode=0 glxgears or vblank_mode=1 glxgears .... gears remain still.
as suggested here:
https://bbs.archlinux.org/viewtopic.php … 9#p1114079

This is part of my xorg log (I don't get any error, just some warnings)

[     9.262] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[     9.367] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    10.373] (WW) Falling back to old probe method for fglrx
[    11.015] (WW) fglrx: No matching Device section for instance (BusID PCI:0@1:0:1) found
[    11.052] (WW) fglrx(0): board is an unknown third party board, chipset is supported
[    11.352] (WW) fglrx(0): Unable to register ADL handler for 0x00110000
[    11.352] (WW) fglrx(0): Unable to register ADL handler for 0x00120000
[    11.352] (WW) fglrx(0): Unable to register ADL handler for 0x00130000
[    11.352] (WW) fglrx(0): Unable to register ADL handler for 0x00150000

fglrx: No matching Device section for instance (BusID PCI:0@1:0:1) found
is just the HDMI audio output:

1:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Cedar HDMI Audio [Radeon HD 5400/6300 Series]
Kernel driver in use: snd_hda_intel

The card is an HD5450 and my cpu has intel graphics card integrated (but not used ... the two monitor are connected
to the radeon card) and no intel video driver is installed.

I also tried 12.8 and latest stable driver from  Vi0L0's repository.

IMHO it's something about openGL .. my an environment variable.

However this is the entire xorg.conf:

Section "ServerLayout"
    Identifier     "aticonfig Layout"
    Screen      0  "aticonfig-Screen[0]-0" 0 0
    Screen         "aticonfig-Screen[0]-1" RightOf "aticonfig-Screen[0]-0"
EndSection

Section "Module"
EndSection

Section "ServerFlags"
    Option        "Xinerama" "on"
EndSection

Section "Monitor"
    Identifier   "aticonfig-Monitor[0]-0"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
EndSection

Section "Monitor"
    Identifier   "aticonfig-Monitor[0]-1"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
EndSection

Section "Monitor"
    Identifier   "0-CRT1"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
    Option        "PreferredMode" "1280x1024"
    Option        "TargetRefresh" "60"
    Option        "Position" "0 0"
    Option        "Rotate" "normal"
    Option        "Disable" "false"
EndSection

Section "Monitor"
    Identifier   "0-CRT2"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
    Option        "PreferredMode" "1280x1024"
    Option        "TargetRefresh" "60"
    Option        "Position" "0 0"
    Option        "Rotate" "normal"
    Option        "Disable" "false"
EndSection

Section "Device"
    Identifier  "aticonfig-Device[0]-0"
    Driver      "fglrx"
    Option        "Monitor-CRT1" "0-CRT1"
    BusID       "PCI:1:0:0"
EndSection

Section "Device"
    Identifier  "aticonfig-Device[0]-1"
    Driver      "fglrx"
    Option        "Monitor-CRT2" "0-CRT2"
    BusID       "PCI:1:0:0"
    Screen      1
EndSection

Section "Screen"
    Identifier "aticonfig-Screen[0]-0"
    Device     "aticonfig-Device[0]-0"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     24
    EndSubSection
EndSection

Section "Screen"
    Identifier "aticonfig-Screen[0]-1"
    Device     "aticonfig-Device[0]-1"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     24
    EndSubSection
EndSection

Last edited by saronno (2013-02-12 04:09:03)

Offline

#4768 2013-02-12 07:55:05

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

omeringen wrote:

//edit : switched to the open source and again to the catalyst. It's fine and this is the second time it works. I'll possibly break like it did before if i do some changes to the desktop effects settings.

Wondering if this bug of working/not working legacy after reboot could be fixed by reverting a patch mentioned by Martin Gräßlin here
I will try to compile such a package later.

s0l1dsnak3123 wrote:

I just get

/usr/lib/modules/extramodules-3.7-ARCH/fglrx.ko.gz

can you still see different versions of fglrx in the log?

@Archimaredes:
thanks for the info, i will look at it later after getting back home

@saronno:
can you paste whole Xorg.0.log somewhere?
Also: is it behave same way when using only 1 monitor?
You may also check -pxp package? :>

Offline

#4769 2013-02-12 08:00:18

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
omeringen wrote:

//edit : switched to the open source and again to the catalyst. It's fine and this is the second time it works. I'll possibly break like it did before if i do some changes to the desktop effects settings.

Wondering if this bug of working/not working legacy after reboot could be fixed by reverting a patch mentioned by Martin Gräßlin here
I will try to compile such a package later.

Effects work very nicely here with legacy driver on Mobility HD3470, after multiple reboots. The only thing I had to fix was related to panels missing the transparency effect: post #1 from this bug report

https://bugs.kde.org/show_bug.cgi?id=312970

explains how to do it. Apart from this, not a single issue/problem with 4.10 and catalyst legacy.

Offline

#4770 2013-02-12 08:05:56

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

@snack:
yes, but looks like it can behaviour in many ways depending on hardware (at least Thomas Lübking see it that way here)

Offline

#4771 2013-02-12 08:18:34

omeringen
Member
Registered: 2012-05-28
Posts: 109

Re: The AMD/ATI Bar & Grill

Looks like that report is not a a duplicate of mine anymore.
Here is my original report : https://bugs.kde.org/show_bug.cgi?id=314194
Maybe it's related to HD 2400 only.

//edit: I'm going to open a topic about my issue at night for a better investigation.

Last edited by omeringen (2013-02-12 10:45:45)

Offline

#4772 2013-02-12 08:41:21

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: The AMD/ATI Bar & Grill

mmm .... reading around I found some hints.

[  5743.809] (II) fglrx(0): RandR 1.2 support is enabled!
[  5743.809] (II) fglrx(0): RandR 1.2 rotation support is enabled!
[  5743.893] (II) fglrx(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  5743.948] (--) RandR disabled
[  5743.961] (II) fglrx(1): RandR 1.2 enabled, ignore the following RandR disabled message.
[  5743.987] (--) RandR disabled

If I try to launch leafpad fox example ... I get

Xlib:  extension "RANDR" missing on display ":0.0"

However this in the entire Xlog

http://pastebin.com/hi9vArvk

and this is my .xsession-errors

http://pastebin.com/H1Xf4dH2

Offline

#4773 2013-02-12 09:08:59

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: The AMD/ATI Bar & Grill

It seems that disabling xinerama and second monitor doesn't work.

So, at the moment, I have no idea ... sad

Offline

#4774 2013-02-12 11:51:58

snufkin
Member
From: Sweden
Registered: 2008-11-08
Posts: 71

Re: The AMD/ATI Bar & Grill

Is it you that manage the hd234k too, Vi0L0? If so, I'd like to let you know that it doesn't work with Linux 3.7.6. Recompile it, please, or whatever it is that you're doing in your ninja basement tongue

Last edited by snufkin (2013-02-12 11:52:20)

Offline

#4775 2013-02-12 12:40:57

siavashserver
Member
From: Tehran, Iran
Registered: 2011-02-11
Posts: 73

Re: The AMD/ATI Bar & Grill

Last time trying Catalyst 13.1 legacy, catalyst-hook and kernel 3.7.6 there weren't any issues. Probably something is wrong on your side. Please be more specific about your problem.

Offline

Board footer

Powered by FluxBB